Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class PrintSetupRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PrintSetupRecord

public class PrintSetupRecord
extends Record

Title: Print Setup Record

Description: Stores print setup options -- bogus for HSSF (and marked as such)

REFERENCE: PG 385 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`PrintSetupRecord()`
`PrintSetupRecord(short id, short size, byte[] data)` Constructs a PrintSetup (SETUP) record and sets its fields appropriately.
`PrintSetupRecord(short id, short size, byte[] data, int offset)` Constructs a PrintSetup (SETUP) record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getCopies()`
`boolean` | `getDraft()`
`short` | `getFitHeight()`
`short` | `getFitWidth()`
`double` | `getFooterMargin()`
`double` | `getHeaderMargin()`
`short` | `getHResolution()`
`boolean` | `getLandscape()`
`boolean` | `getLeftToRight()`
`boolean` | `getNoColor()`
`boolean` | `getNoOrientation()`
`boolean` | `getNotes()`
`short` | `getOptions()`
`short` | `getPageStart()`
`short` | `getPaperSize()`
`int` | `getRecordSize()` gives the current serialized size of the record.
`short` | `getScale()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `getUsePage()`
`boolean` | `getValidSettings()`
`short` | `getVResolution()`
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setCopies(short copies)`
`void` | `setDraft(boolean d)`
`void` | `setFitHeight(short height)`
`void` | `setFitWidth(short width)`
`void` | `setFooterMargin(double footermargin)`
`void` | `setHeaderMargin(double headermargin)`
`void` | `setHResolution(short resolution)`
`void` | `setLandscape(boolean ls)`
`void` | `setLeftToRight(boolean ltor)`
`void` | `setNoColor(boolean mono)`
`void` | `setNoOrientation(boolean orientation)`
`void` | `setNotes(boolean printnotes)`
`void` | `setOptions(short options)`
`void` | `setPageStart(short start)`
`void` | `setPaperSize(short size)`
`void` | `setScale(short scale)`
`void` | `setUsePage(boolean page)`
`void` | `setValidSettings(boolean valid)`
`void` | `setVResolution(short resolution)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### PrintSetupRecord

    public PrintSetupRecord()

### PrintSetupRecord

    public PrintSetupRecord(short id,
                            short size,
                            byte[] data)

  Constructs a PrintSetup (SETUP) record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xa1 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### PrintSetupRecord

    public PrintSetupRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a PrintSetup (SETUP) record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xa1 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setPaperSize

    public void setPaperSize(short size)

### setScale

    public void setScale(short scale)

### setPageStart

    public void setPageStart(short start)

### setFitWidth

    public void setFitWidth(short width)

### setFitHeight

    public void setFitHeight(short height)

### setOptions

    public void setOptions(short options)

### setLeftToRight

    public void setLeftToRight(boolean ltor)

### setLandscape

    public void setLandscape(boolean ls)

### setValidSettings

    public void setValidSettings(boolean valid)

### setNoColor

    public void setNoColor(boolean mono)

### setDraft

    public void setDraft(boolean d)

### setNotes

    public void setNotes(boolean printnotes)

### setNoOrientation

    public void setNoOrientation(boolean orientation)

### setUsePage

    public void setUsePage(boolean page)

### setHResolution

    public void setHResolution(short resolution)

### setVResolution

    public void setVResolution(short resolution)

### setHeaderMargin

    public void setHeaderMargin(double headermargin)

### setFooterMargin

    public void setFooterMargin(double footermargin)

### setCopies

    public void setCopies(short copies)

### getPaperSize

    public short getPaperSize()

### getScale

    public short getScale()

### getPageStart

    public short getPageStart()

### getFitWidth

    public short getFitWidth()

### getFitHeight

    public short getFitHeight()

### getOptions

    public short getOptions()

### getLeftToRight

    public boolean getLeftToRight()

### getLandscape

    public boolean getLandscape()

### getValidSettings

    public boolean getValidSettings()

### getNoColor

    public boolean getNoColor()

### getDraft

    public boolean getDraft()

### getNotes

    public boolean getNotes()

### getNoOrientation

    public boolean getNoOrientation()

### getUsePage

    public boolean getUsePage()

### getHResolution

    public short getHResolution()

### getVResolution

    public short getVResolution()

### getHeaderMargin

    public double getHeaderMargin()

### getFooterMargin

    public double getFooterMargin()

### getCopies

    public short getCopies()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.